
From: Randy Dunlap <rdunlap@xenotime.net>

Module needs a license to prevent kernel tainting.

Signed-off-by: Randy Dunlap <rdunlap@xenotime.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/media/dvb/dvb-usb/dibusb-common.c |    2 +-
 drivers/media/dvb/dvb-usb/dvb-usb.h       |    1 +
 2 files changed, 2 insertions(+), 1 deletion(-)

diff -puN drivers/media/dvb/dvb-usb/dibusb-common.c~add-generalized-dvb-usb-driver-fix-4 drivers/media/dvb/dvb-usb/dibusb-common.c
--- 25/drivers/media/dvb/dvb-usb/dibusb-common.c~add-generalized-dvb-usb-driver-fix-4	Mon Jun 13 16:49:09 2005
+++ 25-akpm/drivers/media/dvb/dvb-usb/dibusb-common.c	Mon Jun 13 16:49:09 2005
@@ -13,6 +13,7 @@
 static int debug;
 module_param(debug, int, 0644);
 MODULE_PARM_DESC(debug, "set debugging level (1=info (|-able))." DVB_USB_DEBUG_STATUS);
+MODULE_LICENSE("GPL");
 
 #define deb_info(args...) dprintk(debug,0x01,args)
 
@@ -269,4 +270,3 @@ int dibusb_rc_query(struct dvb_usb_devic
 	return 0;
 }
 EXPORT_SYMBOL(dibusb_rc_query);
-
diff -puN drivers/media/dvb/dvb-usb/dvb-usb.h~add-generalized-dvb-usb-driver-fix-4 drivers/media/dvb/dvb-usb/dvb-usb.h
--- 25/drivers/media/dvb/dvb-usb/dvb-usb.h~add-generalized-dvb-usb-driver-fix-4	Mon Jun 13 16:49:09 2005
+++ 25-akpm/drivers/media/dvb/dvb-usb/dvb-usb.h	Mon Jun 13 16:49:09 2005
@@ -10,6 +10,7 @@
 
 #include <linux/config.h>
 #include <linux/input.h>
+#include <linux/module.h>
 #include <linux/usb.h>
 
 #include "dvb_frontend.h"
_
